%define module_name Convert-BER-XS
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Canary/Stability.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(XSLoader.pm) perl(common/sense.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.21
Release: alt4
Summary: *very* low level BER en-/decoding
Group: Development/Perl
License: see COPYING
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/ML/MLEHMANN/%{module_name}-%{version}.tar.gz

%description
WARNING: Before release 1.0, the API is not considered stable in any way.

This module implements a *very* low level BER/DER en-/decoder.

If is tuned for low memory and high speed, while still maintaining some
level of user-friendlyness.

Currently, not much is documented, as this is an initial release to
reserve CPAN namespace, stay tuned for a few days.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes COPYING README
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1:1.21-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1:1.21-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1:1.21-alt2
- rebuild with perl 5.30

* Sat May 04 2019 Igor Vlasenko <viy@altlinux.ru> 1:1.21-alt1
- updated by package builder

* Fri Apr 26 2019 Igor Vlasenko <viy@altlinux.ru> 1:1.2-alt2
- updated by package builder

* Wed Apr 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.11-alt1
- updated by package builder

* Mon Apr 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1
- updated by package builder

* Sun Apr 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1
- updated by package builder

* Sat Apr 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1
- initial import by package builder

